Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticButtonUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.basic.BasicButtonUI
                  javax.swing.plaf.metal.MetalButtonUI
                      com.jgoodies.looks.plastic.PlasticButtonUI

    public class PlasticButtonUI

extends MetalButtonUI

The JGoodies Plastic L&F implementation of `ButtonUI`. It differs from the superclass `MetalButtonUI` in that it can add a pseudo 3D effect and that the border can paint the focus.

Version:
  $Revision: 1.10 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class javax.swing.plaf.metal.MetalButtonUI
`disabledTextColor, focusColor, selectColor`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`PlasticButtonUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`void` | `installDefaults(AbstractButton b)` Installs defaults.
`protected boolean` | `is3D(AbstractButton b)` Checks and answers if this button shall use a pseudo 3D effect.
`protected boolean` | `isToolBarButton(AbstractButton b)` Checks and answers if this is button is in a tool bar.
`protected void` | `paintFocus(Graphics g, AbstractButton b, Rectangle viewRect, Rectangle textRect, Rectangle iconRect)` Paints the focus with close to the button's border.
`void` | `update(Graphics g, JComponent c)`

Methods inherited from class javax.swing.plaf.metal.MetalButtonUI
`createButtonListener, getDisabledTextColor, getFocusColor, getSelectColor, paintButtonPressed, paintText, uninstallDefaults`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getPropertyPrefix, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paint, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticButtonUI

    public PlasticButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    public void installDefaults(AbstractButton b)

  Installs defaults.

  Overrides:
    `installDefaults` in class `MetalButtonUI`

### update

    public void update(Graphics g,
                       JComponent c)

  Overrides:
    `update` in class `MetalButtonUI`

### paintFocus

    protected void paintFocus(Graphics g,
                              AbstractButton b,
                              Rectangle viewRect,
                              Rectangle textRect,
                              Rectangle iconRect)

  Paints the focus with close to the button's border.

  Overrides:
    `paintFocus` in class `MetalButtonUI`

### isToolBarButton

    protected boolean isToolBarButton(AbstractButton b)

  Checks and answers if this is button is in a tool bar.

  Parameters:
    `b` - the button to check
  Returns:
    true if in tool bar, false otherwise

### is3D

    protected boolean is3D(AbstractButton b)

  Checks and answers if this button shall use a pseudo 3D effect.

  Parameters:
    `b` - the button to check
  Returns:
    true indicates a 3D effect, false flat

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.